Summary:	A freely licensed alternative to the GLUT library
Summary(pl.UTF-8):	Zamiennik biblioteki GLUT na wolnej licencji
Name:		freeglut
Version:	3.2.2
Release:	2
License:	MIT
Group:		Libraries
Source0:	https://downloads.sourceforge.net/freeglut/%{name}-%{version}.tar.gz
# Source0-md5:	485c1976165315fc42c0b0a1802816d9
URL:		https://freeglut.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	cmake >= 3.0.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
Provides:	OpenGL-glut = 4.0
Obsoletes:	glut < 4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Freeglut, the Free OpenGL Utility Toolkit, is meant to be a free
alternative to Mark Kilgard's GLUT library. It is distributed under an
X-Consortium style license (see COPYING for details), to offer you a
chance to use and/or modify the source.

It makes use of OpenGL, GLU, and pthread libraries. The library does
not make use of any GLUT code and is not 100% compatible. Code
recompilation and/or slight modifications might be required for your
applications to work with freeglut.

%description -l pl.UTF-8
Freeglut to Free OpenGL Utility Toolkit, mający być wolnodostępnym
zamiennikiem biblioteki GLUT Marka Kilgarda. Jest rozprowadzany na
licencji w stylu X-Consortium (szczegóły w pliku COPYING), aby
umożliwić korzystanie i/lub modyfikowanie źródeł.

Korzysta z bibliotek OpenGL, GLU i pthread. Biblioteka nie korzysta z
żadnego kodu GLUT-a i nie jest w 100% kompatybilna. Do działania
aplikacji z freeglutem może być konieczna rekompilacja kodu i/lub małe
modyfikacje.

%package devel
Summary:	Header files for freeglut library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki freeglut
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	xorg-lib-libX11-devel
Requires:	xorg-lib-libXrandr-devel
Requires:	xorg-lib-libXxf86vm-devel
Provides:	OpenGL-glut-devel = 4.0
Obsoletes:	glut-devel < 4

%description devel
Header files for freeglut library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki freeglut.

%package static
Summary:	Static freeglut library
Summary(pl.UTF-8):	Statyczna biblioteka freeglut
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	OpenGL-glut-static = 4.0
Obsoletes:	glut-static < 4

%description static
Static freeglut library.

%description static -l pl.UTF-8
Statyczna biblioteka freeglut.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DFREEGLUT_PRINT_WARNINGS=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# disable completeness check incompatible with split packaging
%{__sed} -i -e '/^foreach(target .*IMPORT_CHECK_TARGETS/,/^endforeach/d; /^unset(_IMPORT_CHECK_TARGETS)/d' \
	$RPM_BUILD_ROOT%{_libdir}/cmake/FreeGLUT/FreeGLUTTargets.cmake

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libglut.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglut.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglut.so
%{_includedir}/GL/freeglut*.h
%{_includedir}/GL/glut.h
%{_pkgconfigdir}/glut.pc
%{_libdir}/cmake/FreeGLUT

%files static
%defattr(644,root,root,755)
%{_libdir}/libglut.a
%changelog
* Sun May 01 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/freeglut.git;a=log;h=master

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> b147c6c
- remove cmake completeness check so that -static is not required; release 2

* Thu Mar 03 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8010980
- up to 3.2.2

* Fri Oct 12 2018 Jakub Bogusz <qboosh@pld-linux.org> 27cfaa0
- updated to 3.0.0
- build system has been changed to cmake, so dropped .la
- added .pc file

* Tue Feb 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> d38c9de
- Version: 2.8.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 28177fd
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 29 2011 Karol Krenski <charles@pld-linux.org> f543f19
- -devel R: xorg-lib-libXi-devel

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 27c737c
- BR: xorg-lib-libXi-devel

* Sun Sep 05 2010 Jakub Bogusz <qboosh@pld-linux.org> be493e9
- added FAQ to doc

* Sat Sep 04 2010 Patryk Zawadzki <patrys@room-303.com> 03ac66e
- 2.6.0

* Sat Nov 08 2008 Marcin Banasiak <marcin.banasiak@gmail.com> d001085
- pass --disable-warnings to configure (kills -Werror)
- ghost soname symlink
- release 3

* Fri Sep 21 2007 arvenil <arvenil@pld-linux.org> 7318c2f
- release 2 (needs rebuild with new file)

* Fri Jul 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 05ab4e2
- header says it supports GLUT 4.0 API

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d0191a9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 692b244
- converted to UTF-8

* Wed Nov 01 2006 Paweł Sikora <pluto@pld-linux.org> bf8ca2f
- obvious gcc42 fix.

* Wed Nov 01 2006 Paweł Sikora <pluto@pld-linux.org> a454fc7
- obvious fix.

* Fri Mar 17 2006 Jakub Bogusz <qboosh@pld-linux.org> 7770b64
- Obsoletes: glut* (well, at least main library; no mui or Fortran bindings here)

* Fri Mar 17 2006 Jakub Bogusz <qboosh@pld-linux.org> 3e3c81f
- switched to modular xorg

* Mon Oct 31 2005 Jakub Bogusz <qboosh@pld-linux.org> f47c7d9
- new

